#
# spec file for package python-pdfrw
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pdfrw
Version:        0.1
Release:        8.3
Summary:        PDF file reader/writer library
License:        MIT
Group:          Development/Libraries/Python
Source:         https://pypi.python.org/packages/source/p/pdfrw/pdfrw-%{version}.tar.gz
Url:            https://code.google.com/p/pdfrw/
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
PDF file reader/writer library written in python

%prep
%setup -q -n pdfrw-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} 

%files
%defattr(-,root,root)
%dir  %{python_sitelib}/pdfrw
%{python_sitelib}/pdfrw/*
%{python_sitelib}/pdfrw-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat Nov  9 2013 tchvatal@suse.com
- Fix name in the header.
* Sat Nov  9 2013 tchvatal@suse.com
- Inital commit, package required by python-rst2pdf on runtime.
